g1050_segment_constants_t Struct Reference

`#include <g1050.h>`

## Public Attributes

double | prob_loss_rate_change [2]
double | prob_impulse [2][2]
double | impulse_height
double | impulse_coeff
double | prob_packet_loss
double | prob_packet_collision_loss

## Detailed Description

Segment constants, as defined in G.1050.

## Member Data Documentation

## impulse_coeff

double g1050_segment_constants_t::impulse_coeff

Impulse decay coefficient for the single pole IIR filter.

## impulse_height

double g1050_segment_constants_t::impulse_height

Impulse height, based on MTU and bit rate

## prob_impulse

double g1050_segment_constants_t::prob_impulse[2][2]

Probability of an impulse in the low and high loss states

## prob_loss_rate_change

double g1050_segment_constants_t::prob_loss_rate_change[2]

Probability of changing from low to high and high to low loss states

## prob_packet_collision_loss

double g1050_segment_constants_t::prob_packet_collision_loss

Probability of packet loss due to a multiple access collision.

## prob_packet_loss

double g1050_segment_constants_t::prob_packet_loss

Probability of packet loss due to occupancy.

The documentation for this struct was generated from the following file:

- g1050.h